Bug 1267201 - Few files not replicated during geo-replication
Few files not replicated during geo-replication
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
3.1
x86_64 Linux
high Severity unspecified
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 06:19 EDT by Shekhar Berry
Modified: 2018-04-16 11:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-16 11:55:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Brick From where files wasn't transferred. (5.34 MB, text/plain)
2015-09-29 06:19 EDT, Shekhar Berry
no flags Details
Geo_replication and geo_replication_slaves log (53 bytes, text/plain)
2015-10-06 07:54 EDT, Shekhar Berry
no flags Details

  None (edit)
Description Shekhar Berry 2015-09-29 06:19:55 EDT
Created attachment 1078270 [details]
Brick From where files wasn't transferred.

Description of problem:

4 Master Servers with 12 JBODs each.
4 Slave Servers again with 12 JBODs.
Geo-replication session setup using 48 Bricks.

100*2G files were created on the master side resulting in 200G dataset.
Geo_replication session was started after dataset was fully created.

Expectation was all 100 files would be transferred but only 95 of them got transferred and out of these 95 files, some of them were of size 0KB whereas transferred file size was 2g.

Geo-Replication session was up and running at this juncture as test file 'abc' got replicated to slave immediately.


Version-Release number of selected component (if applicable):

root@gprfs029: ~ # rpm -q glusterfs
glusterfs-3.7.1-11.el7rhgs.x86_64

glusterfs-geo-replication-3.7.1-11.el7rhgs.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: 

Few files missing on the slave side.


Expected results:

All files should have been transferred.

Additional info:

Attached below is the log of brick whose files were not transferred to the slave side.
Comment 2 Aravinda VK 2015-10-06 02:13:43 EDT
Please upload the Geo-replication logs.(Sos report)
Comment 3 Shekhar Berry 2015-10-06 07:54 EDT
Created attachment 1080208 [details]
Geo_replication and geo_replication_slaves log

Note You need to log in before you can comment on or make changes to this bug.